SDL_ttf: Added download.sh to download external dependencies (31a6f)

From 31a6fdfb8efab0762255b2ac7b84abb8551aa58c Mon Sep 17 00:00:00 2001
From: Sam Lantinga <[EMAIL REDACTED]>
Date: Fri, 13 Jan 2023 09:09:46 -0800
Subject: [PATCH] Added download.sh to download external dependencies

(cherry picked from commit 460d79bee36a6edacbc4c072b8409ec7e650b214)
---
 external/download.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100755 external/download.sh

diff --git a/external/download.sh b/external/download.sh
new file mode 100755
index 00000000..5cd14a4d
--- /dev/null
+++ b/external/download.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+cd $(dirname "$0")/..
+cat .gitmodules | \
+while true; do
+    read module || break
+    read line; set -- $line
+    path=$3
+    read line; set -- $line
+    url=$3
+    read line; set -- $line
+    branch=$3
+    git clone $url $path -b $branch --recursive
+done